MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SignalFD Class Reference

A class that wraps signalfd(). More...

`#include <SignalFD.hxx>`

## Public Member Functions
| SignalFD ()
| ~SignalFD ()
| SignalFD (const SignalFD &other)=delete
SignalFD & | operator= (const SignalFD &other)=delete
void | Create (const sigset_t &mask)
| Create the signalfd or update its mask. More...
void | Close ()
int | Get () const
int | Read ()
| Read the next signal from the file descriptor. More...

## Detailed Description

A class that wraps signalfd().

Definition at line 31 of file SignalFD.hxx.

## Constructor & Destructor Documentation

SignalFD::SignalFD | ( |  | ) |
| inline

Definition at line 35 of file SignalFD.hxx.

SignalFD::~SignalFD | ( |  | ) |
| inline

Definition at line 36 of file SignalFD.hxx.

SignalFD::SignalFD | ( | const SignalFD & | other | ) |
| delete

## Member Function Documentation

void SignalFD::Close | ( |  | ) |

void SignalFD::Create | ( | const sigset_t & | mask | ) |

Create the signalfd or update its mask.

All errors are fatal.

int SignalFD::Get | ( |  | ) | const
| inline

Definition at line 51 of file SignalFD.hxx.

SignalFD& SignalFD::operator= | ( | const SignalFD & | other | ) |
| delete

int SignalFD::Read | ( |  | ) |

Read the next signal from the file descriptor.

Returns the signal number on success or -1 if there are no more signals.

The documentation for this class was generated from the following file:

- system/SignalFD.hxx